
import processing.serial.*;

Serial myPort;  // Create object from Serial class
int val;      // Data received from the serial port

void setup() 
{
  size(200, 200);
  myPort = new Serial(this, "/dev/ttyUSB0", 9600);
}

void draw()
{
  if ( myPort.available() > 0) {  // If data is available
    val = myPort.read();         // read it and store it in val
    println(val);
  }
  background(255);             // Set background to white
  if (val == 0) {              // If the serial value is 0,
    fill(0);                   // set fill to black
  } 
  if (val == 49) {              // If the serial value is 49,
  fill(255, 200, 200);          // set fill to pink
  } 
  
  else if (val == 50) {          // If the serial value is 50,
  fill(0, 200, 200);             // set fill to turquoise
  } 
  
  else if (val == 51) {          // If the serial value is 51,
  fill(127, 0, 0);               // set fill to red
  } 
  
  else if (val == 52) {          // If the serial value is 52,
  fill(0, 200, 0);               // set fill to green
  } 
  else {                       // If the serial value is not 0,
    fill(204);                 // set fill to light gray
  }
  rect(50, 50, 100, 100);
}
